com.smartgwt.client.widgets.grid

## Class GroupNode

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.widgets.grid.GroupNode

-     public class GroupNode
      extends DataClass

  An auto-generated class representing the group nodes in a grouped listgrid.
  See Also:
    `ListGrid.groupBy(String[])`

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.DataClass

      `factoryCreated, factoryProperties`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupNode(JavaScriptObject jsObj)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Record[]` | `getGroupMembers()` Array of Records that belong to this group, or, for multi-field grouping, array of groupNodes of subgroups under this groupNode.
    `java.lang.String` | `getGroupTitle()` The computed title for the group, which results from `GroupTitleRenderer.getGroupTitle(Object, GroupNode, ListGridField, String, ListGrid)`
    `java.lang.Object` | `getGroupValue()` The value from which groups are computed for a field, which results from `GroupValueFunction.getGroupValue(Object, ListGridRecord, ListGridField, String, ListGrid)`

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroupNode

          public GroupNode(JavaScriptObject jsObj)

  - ### Method Detail

    - #### getGroupValue

          public java.lang.Object getGroupValue()

      The value from which groups are computed for a field, which results from `GroupValueFunction.getGroupValue(Object, ListGridRecord, ListGridField, String, ListGrid)`
      Returns:
        the group value

    - #### getGroupTitle

          public java.lang.String getGroupTitle()

      The computed title for the group, which results from `GroupTitleRenderer.getGroupTitle(Object, GroupNode, ListGridField, String, ListGrid)`
      Returns:
        the group title

    - #### getGroupMembers

          public Record[] getGroupMembers()

      Array of Records that belong to this group, or, for multi-field grouping, array of groupNodes of subgroups under this groupNode.
      Returns:
        records